﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using BC.NetWinBarcodeGeneratorTrial.Qrcode;

namespace BCNetWinBarcodeGeneratorDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Qrcode barcode = new Qrcode();
            barcode.SetData = "WWW.BARCODEBC.COM";
            barcode.SetUOM = UnitofMeasurement.Pixel;
            barcode.SetRotation = Rotation.RotateDown;
            barcode.SetDPI = 96;
            barcode.ApplyTilde = true;
            barcode.AutoSize = false;
            barcode.SetModuleSize = 3;
            barcode.SetModuleColor = System.Drawing.Color.DeepPink;
            barcode.SetEncodingMode = QrcodeEncodingMode.Automatic;
            barcode.ApplyStructuredAppend = false;
            barcode.SetECI = 3;
            barcode.SetECL = QrcodeECL.LevelL;
            barcode.SetFNC1 = QrcodeFNC1.None;
            barcode.SetQrcodeVersion = QrcodeVersion.Version1;
            barcode.StructuredAppendCount = 0;
            barcode.StructuredAppendIndex = 0;
            barcode.SetLeftSpace = 5;
            barcode.SetRightSpace = 5;
            barcode.SetTopSpace = 5;
            barcode.SetBottomSpace = 5;
            barcode.SetWidth = 80;
            barcode.SetHeight = 80;
            barcode.SetImageFormat = System.Drawing.Imaging.ImageFormat.Png;
            Image image = barcode.GenerateBarcode();
            pictureBox1.Image = image;
        }

        private void Form1_Load_1(object sender, EventArgs e)
        {            

        }
    }
    /* In addition to String and Bitmap object, you can also output barcode to Stream object, Graphics object or byte array.
         
         Stream stream = ...;
         barcode.GenerateBarcode(stream);         
         
         Graphics graphics = ...
         barcode.GenerateBarcode(graphics);      
         
         byte[] barcodeInBytes = barcode.GenerateasBytes(); */
}
